Subject: Re: linux-next: build failure after merge of the kbuild tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 9 Sep 2022 17:49:04 +1000

Hi,

On Fri, 9 Sep 2022 15:48:55 +0900 Masahiro Yamada <[email-masked]> wrote:
>
>> I tried this.
> 
> I built fa8e6bb658f682ff63b3af3dd4c5e4d3b43f4ffd (pending-fixes) first,
> then merged b326faa3e125.

I don't have b326faa3e125 in my tree at all ... the kbuild/for-next
branch I fetched this morning is commit

  99ea8da56dca "kbuild: use objtool-args-y to clean up objtool arguments"

Commit b326faa3e125 looks like it is your "foo3" branch which does
*not* contain your for-next branch.

I presume your builds are on an x86_64 machine?

I did a bisect which lead me to commit

f96f5ad080fe kbuild: move vmlinux.o rule to the top Makefile

So, I did:

build pending-fixes
merge f96f5ad080fe^
build again - which works fine

reset to pending-fixes and rebuild
merge f96f5ad080fe
build fails

-- 
Cheers,
Stephen Rothwell